from parallels.core.utils.entity import Entity


class Certificate(Entity):
    def __init__(self, certificate_id, name, cert, pvt_key, csr, ca_cert):
        self._certificate_id = certificate_id
        self._name = name
        self._cert = cert
        self._pvt_key = pvt_key
        self._csr = csr
        self._ca_cert = ca_cert

    @property
    def certificate_id(self):
        """
        :rtype: str | unicode
        """
        return self._certificate_id

    @property
    def name(self):
        """
        :rtype: str | unicode
        """
        return self._name

    @property
    def cert(self):
        """
        :rtype: str | unicode
        """
        return self._cert

    @property
    def pvt_key(self):
        """
        :rtype: str | unicode
        """
        return self._pvt_key

    @property
    def csr(self):
        """
        :rtype: str | unicode
        """
        return self._csr

    @property
    def ca_cert(self):
        """
        :rtype: str | unicode
        """
        return self._ca_cert
